JMOL(1)

NAME
jmol - 3D molecule and crystal viewer

SYNOPSIS
jmol [options] [file]

DESCRIPTION

jmol is a program that is able to view 3D chemical information like molecular structures, vibrations of bonds or animations.

OPTIONS

-a,--autoanimationdelay <arg>
    delay time in seconds for press-and-hold operation of toolbar animation buttons (default 0.2; numbers > 10 assumed to be milliseconds; set to 0 to disable)

-b,--backgroundtransparent
    transparent background

-C,--checkload
    check script syntax only - with file loading

-c,--check
    check script syntax only - no file loading

-D,--property=value <arg>
    supported options are given below

-d,--debug
    debug

-G,--Plugin
    jmol is a plugin to some other app

-g,--geometry <arg>
    window width x height, e.g. -g500x500

-h,--help
    give this help page

-I,--input
    allow piping of input from System.Input

-i,--silent
    silent startup operation

-J,--jmolscript1 <arg>
    Jmol script to execute BEFORE -s option

-j,--jmolscript2 <arg>
    Jmol script to execute AFTER -s option

-k,--kiosk
    kiosk mode -- no frame

-L,--nosplash
    start with no splash screen

-l,--list
    list commands during script execution

-M,--multitouch <arg>
    use multitouch interface (requires "sparshui" parameter

-m,--menu <arg>
    menu file to use

-n,--nodisplay
    no display (and also exit when done)

-o,--noconsole
    no console -- all output to sysout

-P,--port <arg>
    port for JSON/MolecularPlayground-style communication

-p,--printOnly
    send only output from print messages to console (implies -i)

-q,--quality <arg>
    JPG image quality (1-100; default 75) or PNG image compression (0-9; default 2, maximum compression 9)

-R,--restricted
    restrict local file access

-r,--restrictSpt
    restrict local file access (allow reading of SPT files)

-s,--script <arg>
    script file to execute or '-' for

-T,--headlessmaxtime <arg>
    headless max time (sec)

-t,--threaded
    independent command thread

-U,--plugin <arg>
    plugin to start initially

-w,--write <arg>
    CLIP or GIF|JPG|JPG64|PNG|PPM:filename

-x,--exit
    exit after script (implicit with -n)

EXAMPLE

jmol -ions myscript.spt -w JPEG:myfile.jpg > output.txt

The -D options are as follows (defaults in parenthesis) and must be called preceding '-jar /usr/share/java/Jmol.jar':

display.speed=[fps|ms] (ms)

logger.debug=[true|false] (false)

logger.error=[true|false] (true)

logger.fatal=[true|false] (true)

logger.info=[true|false] (true)

logger.logLevel=[true|false] (false)

logger.warn=[true|false] (true)

plugin.dir (unset)

user.language=[ca|cs|de|en_GB|en_US|es|fr|hu|it|ko|nl|pt_BR|tr|zh_TW] (en_US)

FILES

~/.jmol/plugins
    Per-user plugin directory.

SEE ALSO

More information about JMol can be found at http://jmol.sourceforge.net/ and in /usr/share/doc/jmol/html (User-Guide).

AUTHORS

This manual page was written by Egon Willighagen <egonw@users.sourceforge.net>, Daniel Leidert <daniel.leidert@wgdd.de> and Pierre Gruet <pgt@debian.org> for the Debian GNU/Linux distribution (but may be used by others).